<?php
/*
Plugin Name: Obbliga utente
Plugin URI: http://www.studio404.it/
Description: Obbliga gli utenti a inserire delle info sulla versione e l'hosting che stanno usando e pubblica tutte ste info nel loro post.
Author: Claudio Simeone
Author URI: http://www.studio404.it/
Version: 1.0
*/

add_action('post_form_pre_post', 'ST4_obb_form');
add_action('bb_head', 'ST4_obb_header');
add_action('bb_insert_topic', 'ST4_insert_topic');

function ST4_insert_topic($topico){

if ($_POST['haibisogno'] == 'si'){
	$footer  = "\n\n---------------------------------\n\n";
	$footer .= "Versione WP: " . ucwords($_POST['versione']) . "\n";
	$footer .= "Hosting: " . ucwords($_POST['hosting']) . "\n";
	$footer .= "Hai disattivato tutti i plugin? " . ucwords($_POST['plugin_disattivati']) . "\n";
	$footer .= "Funziona con i plugins disattivati? " . ucwords($_POST['funziona_plugin_disattivati']) . "\n";
	$footer .= "Hai provato ad impostare il tema di default? " . ucwords($_POST['impostato_tema_default']) . "\n";
	$footer .= "Funziona con il tema di default? " . ucwords($_POST['funziona_tema_default']) . "\n";
	$_POST['post_content'] .= stripslashes($footer);
} else {
	global $bbdb;
	$title = $bbdb->get_var("SELECT topic_title FROM $bbdb->topics WHERE topic_id='$topico'");
	$newtitle = '[NO ASSISTENZA] ' . $title;
	$bbdb->query("UPDATE $bbdb->topics SET topic_title = '$newtitle' WHERE topic_id='$topico'");
}
}


function ST4_obb_header(){
if ( !is_topic() ) :
?>
<style type="text/css">

.obblighi{
	margin: 20px; 
	list-style: none;
	line-height: 1.7em;
	border-left: 3px solid #C00;
	padding-left: 10px;
	font-size: 1.2em;
}

.obblighi label{
	width: 50%;
	font-weight: bold;
	float: left;
	margin-right: 15px;
}

.obblighi li{clear: both;}
.obblighi input{margin-left: 15px;}
.block { display: block; }
.obblighi label.error { display: none; color: #C00; font-size: 0.9em;}	
</style>

<script src="<?php bb_option('uri'); ?>my-plugins/jquery-validate/lib/jquery.js" type="text/javascript"></script>
<script src="<?php bb_option('uri'); ?>my-plugins/jquery-validate/lib/jquery.metadata.js" type="text/javascript"></script>
<script src="<?php bb_option('uri'); ?>my-plugins/jquery-validate/jquery.validate.js" type="text/javascript"></script>

<script type="text/javascript">
jQuery.metadata.setType("attr", "validate");
jQuery(document).ready(function() {
	jQuery("#haibisogno").click(
		function () {
			jQuery("#obb_container").toggle('slow');
			var checke = jQuery("#haibisogno:checked").val();
			if (checke == 'si'){
				jQuery("#postform").validate();
			}
        }); 	
	});
</script>

<?php
endif;
}

function ST4_obb_form(){
if ( !is_topic() ) :
?>

<p>
	<label for="haibisogno"><strong><?php _e('Hai bisogno di assistenza?'); ?></strong>&nbsp;&nbsp;&nbsp;
	<input name="haibisogno" type="checkbox" id="haibisogno" value="si" /> S&igrave;</label>
</p>

<div id="obb_container" style="display:none;">
<p>Per favore, inserisci queste informazioni, altrimenti non possiamo aiutarti.</p>

<ul class="obblighi">
<li>
	<label for="versione"><?php _e('Che versione di WordPress stai usando?'); ?></label>
	<input name="versione" type="text" id="versione" size="8" validate="required:true" />
</li>

<li>
	<label for="hosting"><?php _e('Su quale hosting gira il tuo blog?'); ?></label>
	<input name="hosting" type="radio" id="hosting" value="Windows" validate="required:true" /> Windows
	<input name="hosting" type="radio" id="hosting" value="Linux" validate="required:true" /> Linux
</li>

<li>
	<label for="plugin_disattivati"><?php _e('Hai disattivato tutti i plugin?'); ?></label>
	<input name="plugin_disattivati" type="radio" id="plugin_disattivati" value="si" validate="required:true" /> S&igrave;
	<input name="plugin_disattivati" type="radio" id="plugin_disattivati" value="no" validate="required:true" /> No
</li>

<li>
	<label for="funziona_plugin_disattivati"><?php _e('Il tuo blog funziona con i plugin disattivati?'); ?></label>
	<input name="funziona_plugin_disattivati" type="radio" id="funziona_plugin_disattivati" value="si" validate="required:true" /> S&igrave;
	<input name="funziona_plugin_disattivati" type="radio" id="funziona_plugin_disattivati" value="no" validate="required:true" /> No
</li>

<li>
	<label for="impostato_tema_default"><?php _e('Hai provato a impostare il tema di default?'); ?></label>
	<input name="impostato_tema_default" type="radio" id="impostato_tema_default" value="si" validate="required:true" /> S&igrave;
	<input name="impostato_tema_default" type="radio" id="impostato_tema_default" value="no" validate="required:true" /> No
</li>

<li>
	<label for="funziona_tema_default"><?php _e('Il tuo blog funziona con il tema di default?'); ?></label>
	<input name="funziona_tema_default" type="radio" id="funziona_tema_default" value="si" validate="required:true" /> S&igrave;
	<input name="funziona_tema_default" type="radio" id="funziona_tema_default" value="no" validate="required:true" /> No
</li>

</ul>
</div>

<?php
endif;
}
?>